## golang-github-gofiber-utils 2.0.2

=== Makefile ===
## help: 💡 Display available commands
.PHONY: help
help:
	@echo '⚡️ GoFiber/Fiber Development:'
	@sed -n 's/^##//p' ${MAKEFILE_LIST} | column -t -s ':' |  sed -e 's/^/ /'

## audit: 🚀 Conduct quality checks
.PHONY: audit
audit:
	go mod verify
	go vet ./...
	go run golang.org/x/vuln/cmd/govulncheck@latest ./...

## benchmark: 📈 Benchmark code performance
.PHONY: benchmark
benchmark:
	go test ./... -benchmem -bench=. -run=^Benchmark_$

## coverage: ☂️  Generate coverage report
.PHONY: coverage
coverage:
	go run gotest.tools/gotestsum@v1.13.0 -f testname -- ./... -race -count=1 -coverprofile=coverage.out -covermode=atomic
	go tool cover -html=coverage.out -o coverage.html
	open coverage.html &

## format: 🎨 Fix code format issues
.PHONY: format
format:
	go run mvdan.cc/gofumpt@latest -w -l .

## benchfmt: 📝 Format README benchmark lines
.PHONY: benchfmt
benchfmt:
	go run ./scripts/format_benchmarks.go

## lint: 🚨 Run lint checks
.PHONY: lint
lint:
	go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.1 run ./...

## modernize: ♻️ Check for outdated patterns
.PHONY: modernize
modernize:
	go run golang.org/x/tools/gopls/internal/analysis/modernize/cmd/modernize@latest -fix -test=false ./...

## test: 🚦 Execute all tests
.PHONY: test
test:
	go run gotest.tools/gotestsum@v1.13.0 -f testname -- ./... -race -count=1 -shuffle=on

## tidy: 📌 Clean and tidy dependencies
.PHONY: tidy
tidy:
	go mod tidy -v

=== debian/changelog ===
golang-github-gofiber-utils (2.0.2-1) unstable; urgency=medium

  * Initial upload to sid, needed for gatus (Closes: #1128934)
    via golang-githubg-gofiber-fiber 3.x (Closes: #1128932).

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 17:20:37 +0100

=== debian/control ===
Source: golang-github-gofiber-utils
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 dpkg-build-api (= 1),
 golang-any,
 golang-github-fxamacker-cbor-dev,
 golang-github-google-uuid-dev,
 golang-github-stretchr-testify-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/gofiber/utils
Vcs-Browser: https://forgejo.debian.net/golang/golang-github-gofiber-utils
Vcs-Git: https://forgejo.debian.net/golang/golang-github-gofiber-utils
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/gofiber/utils

Package: golang-github-gofiber-utils-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Express inspired web framework - additional utility functions (Go library)
 Fiber is a web framework, created with the idea of minimalism and follows the
 UNIX way. It is inspired by Express, the popular web framework for Node.js.
 .
 This package contains a collection of common functions for Fiber.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=debian/_build --buildsystem=golang

override_dh_auto_test:
	# disabled (needs further depends)

execute_after_dh_auto_install:
	rm -rf debian/golang-github-gofiber-utils-dev/usr/bin

=== debian/watch ===
Version: 5

Template: github
Owner: gofiber
Project: utils
